/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.celestial.mock.fordb;

import java.sql.ResultSet;
import java.sql.SQLException;
import static org.hamcrest.CoreMatchers.is;
import static org.junit.Assert.assertThat;
import org.junit.Test;
import org.junit.runner.RunWith;
import static org.mockito.ArgumentMatchers.any;
import org.mockito.Mock;
import static org.mockito.Mockito.when;
import org.mockito.junit.MockitoJUnitRunner;

/**
 *
 * @author Admin
 */
@RunWith(MockitoJUnitRunner.class)
public class DBResultsPrinterTest
{
    @Mock
    ResultSet   theResultSet;
    
    public DBResultsPrinterTest()
    {
    }
    
    @Test
    public  void    resultset_output_matches_string_pattern()
    {
        // arrange
        DBResultsPrinter cut = new DBResultsPrinter( theResultSet );
        String retValue1 = "fred001 : Foggs : \\n";
        String retValue2 = "bill100 : Boggs : \\n";
        String  expResult = retValue1 + retValue2;
        
        try
        {
            when( theResultSet.getString(any(Integer.class)))
                    .thenReturn(retValue1)
                    .thenReturn(retValue2);
                    
            /*when( theResultSet.getString(1))
                    .thenReturn(retValue1);
            when( theResultSet.getString(2))
                    .thenReturn(retValue2);*/
        } catch (SQLException ex)
        {}
        
        // act
        String  actualResult = cut.displayResultsAsString(2);
        
        assertThat(actualResult, is(expResult));
    }
}
